# Iterate through coordinate sets

for coords in [(-128, 0), (128, 0), (0, -128), (0, 128)]:
    
    # Print commands to console
    print(
        "# Check if build has been griefed\n" +
        "\n" +
        "execute unless blocks ~-16 -6 ~-15 ~-12 33 ~015 " + str(coords[0] -16 ) + " -57 " + str(coords[1] -15 ) + " all run scoreboard players add #griefed_part value 32\n" +
        "execute unless blocks ~012 -6 ~-15 ~016 33 ~015 " + str(coords[0] +12 ) + " -57 " + str(coords[1] -15 ) + " all run scoreboard players add #griefed_part value 16\n" +
        "execute unless blocks ~-15 -6 ~-16 ~015 33 ~-12 " + str(coords[0] -15 ) + " -57 " + str(coords[1] -16 ) + " all run scoreboard players add #griefed_part value 8\n" +
        "execute unless blocks ~-15 -6 ~012 ~015 33 ~016 " + str(coords[0] -15 ) + " -57 " + str(coords[1] +12 ) + " all run scoreboard players add #griefed_part value 4\n" +
        "execute unless blocks ~-11 -6 ~-11 ~011 -2 ~011 " + str(coords[0] -11 ) + " -57 " + str(coords[1] -11 ) + " all run scoreboard players add #griefed_part value 2\n" +
        "execute unless blocks ~-11 20 ~-11 ~011 33 ~011 " + str(coords[0] -11 ) + " -31 " + str(coords[1] -11 ) + " all run scoreboard players add #griefed_part value 1\n" +
        "\n" +
        "execute if score #griefed_part value matches 1.. run scoreboard players set #griefed_boolean value 1\n" +
        "\n"*7 +
        "# Fix build if it has been griefed\n" +
        "\n" +
        "execute if score #griefed_part value matches 32.. run clone " + str(coords[0] -16 ) + " -57 " + str(coords[1] -16 ) + " " + str(coords[0] -12 ) + " -18 " + str(coords[1] +16 ) + " ~-16 -6 ~-16\n" +
        "execute if score #griefed_part value matches 32.. run scoreboard players remove #griefed_part value 32\n" +
        "execute if score #griefed_part value matches 16.. run clone " + str(coords[0] +12 ) + " -57 " + str(coords[1] -16 ) + " " + str(coords[0] +16 ) + " -18 " + str(coords[1] +16 ) + " ~012 -6 ~-16\n" +
        "execute if score #griefed_part value matches 16.. run scoreboard players remove #griefed_part value 16\n" +
        "execute if score #griefed_part value matches 08.. run clone " + str(coords[0] -16 ) + " -57 " + str(coords[1] -16 ) + " " + str(coords[0] +16 ) + " -18 " + str(coords[1] -12 ) + " ~-16 -6 ~-16\n" +
        "execute if score #griefed_part value matches 08.. run scoreboard players remove #griefed_part value 8\n" +
        "execute if score #griefed_part value matches 04.. run clone " + str(coords[0] -16 ) + " -57 " + str(coords[1] +12 ) + " " + str(coords[0] +16 ) + " -18 " + str(coords[1] +16 ) + " ~-16 -6 ~012\n" +
        "execute if score #griefed_part value matches 04.. run scoreboard players remove #griefed_part value 4\n" +
        "execute if score #griefed_part value matches 02.. run clone " + str(coords[0] -11 ) + " -57 " + str(coords[1] -11 ) + " " + str(coords[0] +11 ) + " -53 " + str(coords[1] +11 ) + " ~-11 -6 ~-11\n" +
        "execute if score #griefed_part value matches 02.. run scoreboard players remove #griefed_part value 2\n" +
        "execute if score #griefed_part value matches 01.. run clone " + str(coords[0] -11 ) + " -31 " + str(coords[1] -11 ) + " " + str(coords[0] +11 ) + " -18 " + str(coords[1] +11 ) + " ~-11 20 ~-11\n" +
        "execute if score #griefed_part value matches 01.. run scoreboard players remove #griefed_part value 1\n"
    )
    print("\n" * 10)